Feature: Component Groups

    Properties:
        * group id
        * type: dynamic or fixed
            * when dynamic, list of criteria:
                * Component Type
                    * Component Group
            * when static, list of Component ids

    Rule: 
